Get ticket details
curl --request GET \
--url https://back.leap.onclarity.com/api/integration/ai_service/ticket/{ticket_id}/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/integration/ai_service/ticket/{ticket_id}/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/integration/ai_service/ticket/{ticket_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"customer": {
"id": 123,
"first_name": "<string>",
"organization_id": 123,
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"last_name": "<string>",
"avatar_url": "<string>",
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"description": "<string>"
}
],
"custom_attributes": {},
"gender": "<string>",
"gender_source": "<string>",
"merged_into_id": 123,
"has_open_suggestion": false,
"channels": [
"whatsapp"
]
},
"ticket": {
"id": 123,
"conversation_id": 123,
"status": {
"id": 123,
"organization_id": 123,
"name": "<string>",
"state": "open",
"color": "<string>",
"description": "<string>",
"system_kind": "awaiting_customer"
},
"priority": {
"id": 123,
"organization_id": 123,
"name": "<string>",
"color": "<string>",
"weight": 123
},
"is_archived": true,
"category": {
"id": 123,
"organization_id": 123,
"label": "<string>",
"parent_id": 123
},
"custom_attributes": {}
},
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"description": "<string>"
}
],
"events": [
{
"id": 123,
"type": "message",
"created_at": "2023-11-07T05:31:56Z",
"ticket_id": 123,
"conversation_id": 123,
"payload": {
"new_status_id": 123,
"type": "status_change",
"closed_by": "customer",
"old_status_id": 123
},
"internal_id": "<string>",
"status": "sending"
}
],
"team": {
"id": 123,
"name": "<string>",
"avatar_url": "<string>"
},
"handoff_brief": {
"reason": "",
"summary": "",
"key_facts": [
{
"label": "",
"value": ""
}
],
"commitments": [
"<string>"
],
"open_question": "",
"opening_line": "<string>",
"language": "<string>",
"caller_verified": "verified",
"customer": {
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"customer_id": "<string>"
},
"source": {
"channel": "<string>",
"agent_name": "<string>",
"voice_conversation_id": "<string>",
"ab_ticket_id": "<string>",
"link": "<string>"
}
}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}AI service
Get ticket details
GET
/
api
/
integration
/
ai_service
/
ticket
/
{ticket_id}
/
details
Get ticket details
curl --request GET \
--url https://back.leap.onclarity.com/api/integration/ai_service/ticket/{ticket_id}/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/integration/ai_service/ticket/{ticket_id}/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/integration/ai_service/ticket/{ticket_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"customer": {
"id": 123,
"first_name": "<string>",
"organization_id": 123,
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"last_name": "<string>",
"avatar_url": "<string>",
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"description": "<string>"
}
],
"custom_attributes": {},
"gender": "<string>",
"gender_source": "<string>",
"merged_into_id": 123,
"has_open_suggestion": false,
"channels": [
"whatsapp"
]
},
"ticket": {
"id": 123,
"conversation_id": 123,
"status": {
"id": 123,
"organization_id": 123,
"name": "<string>",
"state": "open",
"color": "<string>",
"description": "<string>",
"system_kind": "awaiting_customer"
},
"priority": {
"id": 123,
"organization_id": 123,
"name": "<string>",
"color": "<string>",
"weight": 123
},
"is_archived": true,
"category": {
"id": 123,
"organization_id": 123,
"label": "<string>",
"parent_id": 123
},
"custom_attributes": {}
},
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"description": "<string>"
}
],
"events": [
{
"id": 123,
"type": "message",
"created_at": "2023-11-07T05:31:56Z",
"ticket_id": 123,
"conversation_id": 123,
"payload": {
"new_status_id": 123,
"type": "status_change",
"closed_by": "customer",
"old_status_id": 123
},
"internal_id": "<string>",
"status": "sending"
}
],
"team": {
"id": 123,
"name": "<string>",
"avatar_url": "<string>"
},
"handoff_brief": {
"reason": "",
"summary": "",
"key_facts": [
{
"label": "",
"value": ""
}
],
"commitments": [
"<string>"
],
"open_question": "",
"opening_line": "<string>",
"language": "<string>",
"caller_verified": "verified",
"customer": {
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"customer_id": "<string>"
},
"source": {
"channel": "<string>",
"agent_name": "<string>",
"voice_conversation_id": "<string>",
"ab_ticket_id": "<string>",
"link": "<string>"
}
}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Response
Request fulfilled, document follows